﻿using System;
using System.Drawing;
using System.Windows.Forms;

namespace MenuBar.Ui.Dialogs
{
    public partial class frmMain : Form
    {
        #region Konstruktor

        public frmMain()
        {
            InitializeComponent();
        }

        #endregion

        #region Funktionen

        private void MenuButton_Click(object sender, EventArgs e)
        {

            var button = sender as Button;

            var dialog = new frmMenu();
            dialog.StartPosition = FormStartPosition.Manual;
            var ptLowerLeft = new Point(0, button.Height);
            ptLowerLeft = button.PointToScreen(ptLowerLeft);
            dialog.Location = ptLowerLeft;

            var frmRightScreenCoordinate = Location.X + Right;
            var menuRightScreenCoordinate = ptLowerLeft.X + dialog.Width;

            if (menuRightScreenCoordinate > frmRightScreenCoordinate)
            {
                var diff = menuRightScreenCoordinate - frmRightScreenCoordinate;
                dialog.Location = new Point(dialog.Location.X - diff, dialog.Location.Y);
            }

            dialog.Show();

        }

        #endregion

    }
}
